\documentclass{beamer}

\mode<presentation>
{
\usetheme{boxes}
\usecolortheme{wolverine}
\usefonttheme{professionalfonts}
\setbeamercovered{transparent}
}

\input{format.ltx}

\usepackage[english]{babel}
\usepackage[utf8]{inputenc}

\usepackage{mathptmx}
\usepackage{verbatim}

\title[MMO / Lecture 4]{Modern Methods of Optimization}
\subtitle{Lecture 4: Unconstrained optimization in $n$D~($n=2$)}

\date{Faculty of Civil Engineering / CTU in Prague}

\newcommand{\paragraph}[1]{}

\begin{document}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\titlepage

\EuroTeQackno
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Visualizing (unconstrained) minimization in $n$D}
%
$$
\text{min } f( x_1, x_2 ) 
$$
%
\begin{center}
	\raisebox{2.5mm}{%
	\includegraphics[height = 60mm]{figures/4_objfunction}}
	\hfill
	\includegraphics[height = 55mm]{figures/4_contours}
\end{center}
%
\begin{itemize}
	\item $f$ is smooth and strictly convex 
\end{itemize}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{"$f$ is smooth and strictly convex" via calculus}

\begin{center}
	\includegraphics[height=50mm]{figures/4_contours_grad}
\end{center}

\vspace*{27.5mm}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Minimizing linear functions}

$$
\text{min } f(x_1, x_2) =  
$$
%
\begin{center}
	\raisebox{2.5mm}{%
	\includegraphics[height = 60mm]{figures/4_linear_objfunction}}
	\hfill
	\includegraphics[height = 55mm]{figures/4_linear_contours}
\end{center}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Minimizing quadratic functions}
	
\begin{center}
	\raisebox{2.5mm}{%
	\includegraphics[height = 60mm]{figures/4_quadratic_objfunction}}
	\hfill
	\includegraphics[height = 55mm]{figures/4_quadratic_contours}
\end{center}
	
\vspace{40mm}
	
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}

\frametitle{General $f$}
	
\begin{center}
	\includegraphics[height=55mm]{figures/4_taylor_objfunction}
\end{center}
		
\begin{itemize}
	\item Surrogate function: Taylor expansion
\end{itemize}

\vspace{25mm}
		
\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}

\frametitle{Newton method}

\begin{itemize}
	\item 1D
	%
	\begin{align*}
		x_{k+1} = x_k + d_k, &&
		d_k = - (f''(x_k))^{-1} f'(x_k) 
	\end{align*}

	\item $n$D 
\end{itemize}

\vspace{40mm}

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}

\frametitle{Stabilizing Newton method}

\begin{center}
	\includegraphics[height=50mm]{figures/4_contours_grad}
\end{center}

	\begin{itemize}
		\item Descent direction
		%
		\begin{align*}
		\end{align*}
	
		\item Line search
		%
		%
		\begin{align*}
		\end{align*}
		
	\end{itemize}
	
	\vspace{40mm}
	
\end{frame}	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Algorithm}

\begin{itemize}
	\item Example
\end{itemize}
%
\begin{align*}
	f(x_1, x_2) = (x_1 - 2 )^2 + ( x_1 - 2 x_2^2)^2
\end{align*}

\vspace{50mm}

\begin{itemize}
	\item \href{https://gitlab.com/jan.zeman4/132mmo/-/tree/master/codes}{\tt https://gitlab.com/jan.zeman4/132mmo/codes} 

\begin{itemize}
	\item {\tt newton.mlx}
\end{itemize}

\end{itemize}

\end{frame}	
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{frame}
\frametitle{Summary}

\begin{itemize}
	\item Advantages
	\item Disadvantages
	
	\begin{itemize}
		\item \quad
		\item \quad
		\item \quad
	\end{itemize}

	\item  More lightweight versions of Newton method

	\begin{itemize}
		\item \quad
		\item \quad
	\end{itemize}

	\item Interested in learning the full story? Try~\cite{bonnans_numerical_2006} or
	
	\begin{itemize}
		\item NMNV534: Numerical Optimization Methods @ CUNI \href{https://is.cuni.cz/studium/predmety/index.php?do=predmet&kod=NMNV534}{[link]}
		\item EE364a: Convex Optimization I @ Stanford \href{http://web.stanford.edu/class/ee364a/index.html}{[link]}
		\item AE4M35KO: Combinatorial Optimization @CTU \href{https://www.fel.cvut.cz/en/education/bk/predmety/12/82/p12824004}{[link]}
	\end{itemize}

\end{itemize}

\bibliography{prednaska}
\bibliographystyle{amsplain}

\bigskip

\end{frame}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{document}